Bug 1006703 - Cannot install custom ispell dictionaries to postgres
Cannot install custom ispell dictionaries to postgres
Status: CLOSED UPSTREAM
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Michal Fojtik
libra bugs
: SupportQuestion, UpcomingRelease
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-11 03:09 EDT by Michal Moravec
Modified: 2015-05-14 19:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-28 19:51:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Moravec 2013-09-11 03:09:27 EDT
Description of problem:

I'm trying to install custom dictionary for my language (czech) from ispell to postgres 9.2 into my application.

I've setup port forwarding of the app and executed following code via pgAdmin:

CREATE TEXT SEARCH DICTIONARY czech (
    TEMPLATE = ispell,
    DictFile = czech,
    AffFile = czech,
    StopWords = czech
);

But got an error:

 ERROR: could not open dictionary file "/opt/rh/postgresql92/root/usr/share/pgsql/tsearch_data/czech.dict": No such file or directory

I don't have access to that directory, so the dictionary cannot be loaded from there. Specifying absolute path does not work. It seems that its not allowed by postgres.

I can execute that on my dev machine, but not on Openshift.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.

CREATE TEXT SEARCH DICTIONARY czech (
    TEMPLATE = ispell,
    DictFile = czech,
    AffFile = czech,
    StopWords = czech
);

Actual results:

 ERROR: could not open dictionary file "/opt/rh/postgresql92/root/usr/share/pgsql/tsearch_data/czech.dict": No such file or directory

Expected results:


Additional info:
Comment 1 Andy Grimm 2013-09-11 09:32:00 EDT
My understanding is that postgresql does not include these files in its source tree, and you must retrieve them from some other source.  It does not appear that there's a way for a user without access to /opt/rh/postgresql92/root/usr/share/pgsql to add dictionaries (and this is a compile-time option, so we can't fix it with symlinks).
Comment 3 Michal Fojtik 2013-09-12 05:42:53 EDT
Eventually you can modify the postgresql cartridge and add that file manually.
Comment 4 Jhon Honce 2013-10-28 19:51:49 EDT
Follow status of enhancement here: https://trello.com/c/8edB9ciz

Note You need to log in before you can comment on or make changes to this bug.